import cookies from '@/service/cookieStorage.service';
export const goUrlExtends = {
  methods: {
    goHome() {
      // 商城地址
      setTimeout(() => {
        this.$router.replace({ name: 'home' });
      }, 500);
    },
    goOrderList() {
      setTimeout(() => {
        this.$router.replace({ name: 'orderList', params: { status: 0 } });
      }, 500);
    },
    goOrderDetail() {
      const orderNo = cookies.get('orderNo')?.orderNo;
      this.$router.push({
        name: 'orderDetail',
        query: { orderNo }
      });
    }
  }
};
